package com.espectaclia.daos;

import java.util.List;

public interface EntityDAO<E> {
 
	E persistir(E e) throws Exception;
	 
	E unir(E e) throws Exception;
	
	void eliminar(Object id) throws Exception;
	 
	E cercarPerId(Object id) throws Exception;
	 
	List<E> cercarTots() throws Exception;
	 
	List<E> cercarPerPropietat(String prop, Object val) throws Exception;
	 
	List<E> cercarEnRang(int firstResult, int maxResults) throws Exception;
	 
	long comptar() throws Exception;
 
}