package com.espectaclia.daos;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.espectaclia.entities.Client;
import com.espectaclia.entities.Reserva;
import com.espectaclia.entities.Taquiller;

@Repository
public interface ReservaDAO extends EntityDAO<Reserva> {

	void eliminar(Reserva reserva) throws Exception;
	
	List<Reserva> cercarReservesClient(Client client) throws Exception;
	
	List<Reserva> cercarReservesTaquiller(Taquiller taquiller) throws Exception;
	
}