package com.espectaclia.entities;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Embeddable;

@SuppressWarnings("serial")
@Embeddable
public class PreuLocalitatZonaPK implements Serializable {
    @Column(name = "idZona")
    private Integer idZona;
    
    @Column(name = "idEspectacle")
    private int idEspectacle;
    
    public PreuLocalitatZonaPK() {}
    
    public PreuLocalitatZonaPK(Integer idZona, Integer idEspectacle) {
    	this.idZona = idZona;
    	this.idEspectacle = idEspectacle;
    }
    
    public boolean equals(Object otherOb) {
        if (this == otherOb) {
            return true;
        }
        if (!(otherOb instanceof PreuLocalitatZonaPK)) {
            return false;
        }
        PreuLocalitatZonaPK other = (PreuLocalitatZonaPK) otherOb;
        return ((idZona == null ? other.idZona == null : idZona.equals(other.idZona)) && (idEspectacle == other.idEspectacle));
    }

    public int hashCode() {
        return ((idZona == null ? 0 : idZona.hashCode()) ^ ((int) idEspectacle));
    }
}