package com.espectaclia.entities;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.PrimaryKeyJoinColumn;

import org.hibernate.annotations.LazyCollection;
import org.hibernate.annotations.LazyCollectionOption;

@Entity(name = "Taquiller")
@PrimaryKeyJoinColumn(name="id")
@NamedQueries({
@NamedQuery(name="Taquiller.findAll",query="SELECT t FROM Taquiller t")})
public class Taquiller extends Usuari {
	
	@ManyToOne 
    @JoinColumn(name="idAdministrador",nullable=false)
    @LazyCollection(LazyCollectionOption.FALSE) 
 	private Administrador administrador;
	
	@ManyToOne 
    @JoinColumn(name="idRecinte")
    @LazyCollection(LazyCollectionOption.FALSE) 
 	private Recinte recinte;
	
	public Recinte getRecinte() {
		return recinte;
	}

	public void setRecinte(Recinte recinte) {
		this.recinte = recinte;
	}
	
	public Administrador getAdministrador() {
		return administrador;
	}

	public void setAdministrador(Administrador administrador) {
		this.administrador = administrador;
	}
	
}