package com.espectaclia.entities;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Embeddable;

@SuppressWarnings("serial")
@Embeddable
public class ValoracioPK implements Serializable {
    @Column(name = "idClient")
    private Integer idClient;
    
    @Column(name = "idEspectacle")
    private int idEspectacle;
    
    public ValoracioPK() {
    };
    
    public ValoracioPK(Integer idClient, Integer idEspectacle) {
    	this.idClient = idClient;
    	this.idEspectacle = idEspectacle;
    }
    
    public boolean equals(Object otherOb) {
        if (this == otherOb) {
            return true;
        }
        if (!(otherOb instanceof ValoracioPK)) {
            return false;
        }
        ValoracioPK other = (ValoracioPK) otherOb;
        return ((idClient == null ? other.idClient == null : idClient.equals(other.idClient)) && (idEspectacle == other.idEspectacle));
    }

    public int hashCode() {
        return ((idClient == null ? 0 : idClient.hashCode()) ^ ((int) idEspectacle));
    }
}