package com.espectaclia.entities;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;

@Entity(name = "PreuLocalitatZona")
@NamedQueries({
@NamedQuery(name="PreuLocalitatZona.findAll",query="SELECT p FROM PreuLocalitatZona p")})
public class PreuLocalitatZona {
	
	@EmbeddedId
	protected PreuLocalitatZonaPK preuLocalitatZonaPK;

	@ManyToOne
	@JoinColumn(name="idZona", insertable=false, updatable=false)
	private Zona zona;
	
	@ManyToOne
	@JoinColumn(name="idEspectacle", insertable=false, updatable=false)
	private Espectacle espectacle;
	
	@Column(name="preu",nullable=false)
    private Double preu;

	public PreuLocalitatZonaPK getPreuLocalitatZonaPK() {
		return preuLocalitatZonaPK;
	}

	public void setPreuLocalitatZonaPK(PreuLocalitatZonaPK preuLocalitatZonaPK) {
		this.preuLocalitatZonaPK = preuLocalitatZonaPK;
	}
	
	public Double getPreu() {
		return preu;
	}

	public void setPreu(Double preu) {
		this.preu = preu;
	}

	public Zona getZona() {
		return zona;
	}

	public void setZona(Zona zona) {
		this.zona = zona;
	}

	public Espectacle getEspectacle() {
		return espectacle;
	}

	public void setEspectacle(Espectacle espectacle) {
		this.espectacle = espectacle;
	}
	
}