package com.espectaclia.services;

import java.util.List;

import com.espectaclia.entities.Espectacle;
import com.espectaclia.daos.EspectacleDAO;

import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Component
@Transactional
public class EspectacleService extends EntityService<Espectacle> implements EspectacleDAO {

	@Transactional(readOnly = true)
	@SuppressWarnings("unchecked")
	public List<Espectacle> cercarPerNom(String val) throws Exception {
		return (List<Espectacle>) getEntityManager().createQuery("select e from Espectacle e where lower(e.nom) like lower(?1)").setParameter(1, "%"+val+"%").getResultList();
	}
	
}